## Icon

### Description

The Icon class allows you to display standard fixed images in your windows. It is used for the simple icons defined for standard dialogs, by setting the `icon` property to a scalar integer as follows:

       0 = Stop
       1 = Alert
       2 = Note
       3 = Question

Under APLX for MacOS, you can also set the `icon` property to an arbitrary resource ID for an icon.

See also the `Draw` method which allows you to draw icons, pictures and bitmaps on your windows and controls.

### Example

         ’DEMO_Icon;DEMO
    [1]   © Sample function demonstrating use of the Icon object
    [2]   DEMO„'Œ' ŒNEW 'Dialog' ª DEMO.title„'Icon Example'
    [3]   DEMO.myIcon.New 'Icon' ª DEMO.myIcon.where„2 1
    [4]   DEMO.myIcon.icon„2
    [5]   ©
    [6]   © Wait for the user to close the window
    [7]   0 0½ŒWE DEMO
         ’

### Properties

align anchors aquaadjust autodraw caption children class color data dragsource droptarget enabled events extent icon maxsize methods minsize name opened pointer properties scale self size sourceformats targetformats tie units visible where

### Methods

Click Clienttoscreen Close Create Delete Hide New Open Paint Resize Screentoclient Send Set Show Trigger

### Callbacks

onClick onClose onDblClick onDestroy onDragDrop onDragEnd onDragEnter onDragLeave onDragOver onDragStart onHide onMouseDown onMouseMove onMouseUp onOpen onSend onShow

Topic: APLX Help : System Classes : List of Classes : Icon

[ Previous | Next | Contents | Index ]